curl --request GET \
--url https://api.primeintellect.ai/api/admin/clusters/{cluster_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"remoteId": "<string>",
"name": "<string>",
"providerType": "<string>",
"status": "<string>",
"vaultEnabled": true,
"gpuName": "<string>",
"gpuCount": 123,
"orchestratorType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"socket": "<string>",
"priceHr": 123,
"stoppedPriceHr": 123,
"provisioningPriceHr": 123,
"basePriceHr": 123,
"baseCurrency": "<string>",
"userId": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"orchestratorVersion": "<string>",
"orchestratorEndpoint": "<string>",
"orchestratorConfig": null,
"orchestratorDeploymentJobId": "<string>",
"orchestratorDeploymentStatus": "<string>",
"terminatedAt": "2023-11-07T05:31:56Z",
"info": "<unknown>",
"nodes": [
{
"id": "<string>",
"name": "<string>",
"remoteId": "<string>",
"providerType": "<string>",
"status": "<string>",
"gpuName": "<string>",
"gpuCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"installationStatus": "<string>",
"testStatus": "<string>",
"finalizerStatus": "<string>",
"installationProgress": 123,
"installationFailure": "<string>",
"socket": "<string>",
"priceHr": 123,
"stoppedPriceHr": 123,
"provisioningPriceHr": 123,
"basePriceHr": 123,
"baseCurrency": "<string>",
"environmentType": "<string>",
"userId": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"isDetached": false,
"terminatedAt": "2023-11-07T05:31:56Z",
"providerReadyAt": "2023-11-07T05:31:56Z",
"piReadyAt": "2023-11-07T05:31:56Z",
"info": "<unknown>",
"connections": [
{
"podId": "<string>",
"host": "<string>",
"user": "<string>",
"podName": "<string>",
"port": 22,
"role": "<string>",
"isControlNode": false
}
]
}
],
"sshKeys": [
{
"id": "<string>",
"role": "<string>",
"userId": "<string>",
"sshKeyId": "<string>",
"publicKey": "<string>"
}
]
},
"status": "<string>"
}Return full DB details for one cluster (columns + nodes + SSH keys).
curl --request GET \
--url https://api.primeintellect.ai/api/admin/clusters/{cluster_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"remoteId": "<string>",
"name": "<string>",
"providerType": "<string>",
"status": "<string>",
"vaultEnabled": true,
"gpuName": "<string>",
"gpuCount": 123,
"orchestratorType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"socket": "<string>",
"priceHr": 123,
"stoppedPriceHr": 123,
"provisioningPriceHr": 123,
"basePriceHr": 123,
"baseCurrency": "<string>",
"userId": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"orchestratorVersion": "<string>",
"orchestratorEndpoint": "<string>",
"orchestratorConfig": null,
"orchestratorDeploymentJobId": "<string>",
"orchestratorDeploymentStatus": "<string>",
"terminatedAt": "2023-11-07T05:31:56Z",
"info": "<unknown>",
"nodes": [
{
"id": "<string>",
"name": "<string>",
"remoteId": "<string>",
"providerType": "<string>",
"status": "<string>",
"gpuName": "<string>",
"gpuCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"installationStatus": "<string>",
"testStatus": "<string>",
"finalizerStatus": "<string>",
"installationProgress": 123,
"installationFailure": "<string>",
"socket": "<string>",
"priceHr": 123,
"stoppedPriceHr": 123,
"provisioningPriceHr": 123,
"basePriceHr": 123,
"baseCurrency": "<string>",
"environmentType": "<string>",
"userId": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"isDetached": false,
"terminatedAt": "2023-11-07T05:31:56Z",
"providerReadyAt": "2023-11-07T05:31:56Z",
"piReadyAt": "2023-11-07T05:31:56Z",
"info": "<unknown>",
"connections": [
{
"podId": "<string>",
"host": "<string>",
"user": "<string>",
"podName": "<string>",
"port": 22,
"role": "<string>",
"isControlNode": false
}
]
}
],
"sshKeys": [
{
"id": "<string>",
"role": "<string>",
"userId": "<string>",
"sshKeyId": "<string>",
"publicKey": "<string>"
}
]
},
"status": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?